Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class DimeBodyPart

    java.lang.Object
      org.apache.axis.attachments.DimeBodyPart

public class DimeBodyPart
extends Object

Holds one attachment DIME part.

Field Summary
`protected Object` | `data`
`protected DimeTypeNameFormat` | `dtnf`
`protected byte[]` | `id`
`protected byte[]` | `type`

Constructor Summary
`protected` | `DimeBodyPart()`
`` | `DimeBodyPart(byte[] data, DimeTypeNameFormat format, String type, String id)` Create a DIME Attachment Part.
`` | `DimeBodyPart(javax.activation.DataHandler dh, DimeTypeNameFormat format, String type, String id)` Create a DIME Attachment Part.
`` | `DimeBodyPart(javax.activation.DataHandler dh, String id)` Create a DIME Attachment Part.

Method Summary
`protected long` | `getDataSize()`
`protected long` | `getDataSize(javax.activation.DataHandler dh)`
`protected void` | `sendChunk(OutputStream os, byte position, byte[] data, byte chunk)`
`protected void` | `sendChunk(OutputStream os, byte position, byte[] data, int offset, int length, byte chunk)`
`protected void` | `sendHeader(OutputStream os, byte position, long length, byte chunk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected Object data

### dtnf

    protected DimeTypeNameFormat dtnf

### type

    protected byte[] type

### id

    protected byte[] id

Constructor Detail

### DimeBodyPart

    protected DimeBodyPart()

### DimeBodyPart

    public DimeBodyPart(byte[] data,
                        DimeTypeNameFormat format,
                        String type,
                        String id)

  Create a DIME Attachment Part.

Parameters:
  `data` - a byte array containing the data as the attachment.
  `format` - the type format for the data.
  `type` - the type of the data
  `id` - the ID for the DIME part.

### DimeBodyPart

    public DimeBodyPart(javax.activation.DataHandler dh,
                        DimeTypeNameFormat format,
                        String type,
                        String id)

  Create a DIME Attachment Part.

Parameters:
  `dh` - the data for the attachment as a JAF datahadler.
  `format` - the type format for the data.
  `type` - the type of the data
  `id` - the ID for the DIME part.

### DimeBodyPart

    public DimeBodyPart(javax.activation.DataHandler dh,
                        String id)

  Create a DIME Attachment Part.

Parameters:
  `dh` - the data for the attachment as a JAF datahadler. The type and foramt is derived from the DataHandler.
  `id` - the ID for the DIME part.

Method Detail

### sendChunk

    protected void sendChunk(OutputStream os,
                             byte position,
                             byte[] data,
                             byte chunk)
                      throws IOException

  Throws:
    `IOException`

### sendChunk

    protected void sendChunk(OutputStream os,
                             byte position,
                             byte[] data,
                             int offset,
                             int length,
                             byte chunk)
                      throws IOException

  Throws:
    `IOException`

### sendHeader

    protected void sendHeader(OutputStream os,
                              byte position,
                              long length,
                              byte chunk)
                       throws IOException

  Throws:
    `IOException`

### getDataSize

    protected long getDataSize()

### getDataSize

    protected long getDataSize(javax.activation.DataHandler dh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.